Skip to main content
`Ctrl`+`K`

# PetscBagItem

Opaque linked-list node used internally by `PetscBag` to record the metadata (name, help string, type, offset, default value) of a single registered field

## Synopsis

    typedef struct _n_PetscBagItem *PetscBagItem;

## See Also

`PetscBag`, `PetscBagCreate()`, `PetscBagRegisterInt()`, `PetscBagRegisterReal()`, `PetscBagRegisterScalar()`, `PetscBagRegisterBool()`, `PetscBagRegisterString()`, `PetscBagRegisterEnum()`

## Level

developer

## Location

include/petscbag.h

Index of all Bag routines
Table of Contents for all manual pages
Index of all manual pages